Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm
Summary: WWW:CSRF is missing in PerlDependencies.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 16.05
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
: 18032 (view as bug list)
Depends on: 17111
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-31 12:12 UTC by Mirko Tietgen
Modified: 2017-12-07 22:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm (1.43 KB, patch)
2017-01-31 12:14 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm (1.69 KB, patch)
2017-01-31 18:05 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm (1.75 KB, patch)
2017-02-01 12:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm (1.76 KB, patch)
2017-02-16 10:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2017-01-31 12:12:36 UTC
WWW:CSRF is missing in PerlDependencies.pm and so libwww-csrf-perl is missing in PerlDependencies.pm missing in debian/control.
Comment 1 Mirko Tietgen 2017-01-31 12:14:45 UTC
Created attachment 59683 [details] [review]
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm

WWW:CSRF is missing in PerlDependencies.pm and so
libwww-csrf-perl is missing in PerlDependencies.pm
missing in debian/control.

This patch adds both.
Comment 2 Mark Tompsett 2017-01-31 18:05:23 UTC
Created attachment 59694 [details] [review]
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm

WWW:CSRF is missing in PerlDependencies.pm and so
libwww-csrf-perl is missing in PerlDependencies.pm
missing in debian/control.

This patch adds both.

NOTE: Tested on top of 17111.
      Checked
      ./koha_perl_deps.pl -m -u
      before and after. Control file eyeballs well.
      git diff origin/master -- debian/control
      does not differ in this change. :)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-02-01 12:08:59 UTC
Created attachment 59731 [details] [review]
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm

WWW:CSRF is missing in PerlDependencies.pm and so
libwww-csrf-perl is missing in PerlDependencies.pm
missing in debian/control.

This patch adds both.

NOTE: Tested on top of 17111.
      Checked
      ./koha_perl_deps.pl -m -u
      before and after. Control file eyeballs well.
      git diff origin/master -- debian/control
      does not differ in this change. :)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2017-02-02 08:49:43 UTC
*** Bug 18032 has been marked as a duplicate of this bug. ***
Comment 5 Jonathan Druart 2017-02-16 10:43:52 UTC
Created attachment 60314 [details] [review]
Bug 18018 - WWW:CSRF is missing in PerlDependencies.pm

WWW:CSRF is missing in PerlDependencies.pm and so
libwww-csrf-perl is missing in PerlDependencies.pm
missing in debian/control.

This patch adds both.

NOTE: Tested on top of 17111.
      Checked
      ./koha_perl_deps.pl -m -u
      before and after. Control file eyeballs well.
      git diff origin/master -- debian/control
      does not differ in this change. :)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2017-02-16 10:44:20 UTC
Mason, this one is for you.
Comment 7 Mason James 2017-02-27 22:50:32 UTC
(In reply to Jonathan Druart from comment #6)
> Mason, this one is for you.

thanks Jonathan!

Pushed to 16.05.x, for 16.05.10 release